import java.applet.*;
import java.awt.*;
 
public class MinMaxVar extends Applet
{
   public void paint(Graphics g)
   {
      // Abstände
   
      int left       =  20;
      int top        =  20;
//    int VarAb      =  20;
      int SAbstand   =  250;
      int ZAbstand   =  20;
      int Spalte     =  0;
      int Zeile      =  0;

      
      // min/max Werte der Typen 
      
      byte maxByte      =  Byte.MAX_VALUE;
      byte minByte      =  Byte.MIN_VALUE;
      short maxShort    =  Short.MAX_VALUE;
      short minShort    =  Short.MIN_VALUE;
      int maxInt        =  Integer.MAX_VALUE;
      int minInt        =  Integer.MIN_VALUE;
      long maxLong      =  Long.MAX_VALUE;
      long minLong      =  Long.MIN_VALUE;
      float maxFloat    =  Float.MAX_VALUE;     
      float minFloat    =  Float.MIN_VALUE;
      double maxDouble  =  Double.MAX_VALUE;
      double minDouble  =  Double.MIN_VALUE;
      
      
      //Anzeige der Werte
         Spalte=0;
         Zeile=1;
         g.drawString("maximaler Bytewert ist      : ", left+(Spalte*SAbstand), top+(Zeile*ZAbstand));
         g.drawString(""+maxByte, left+(Spalte+1*SAbstand), top+(Zeile*ZAbstand));
         
         Spalte=0;
         Zeile=2;
         g.drawString("minimaler Bytewert ist      : ", left+(Spalte*SAbstand), top+(Zeile*ZAbstand));
         g.drawString(""+minByte, left+((Spalte+1)*SAbstand), top+(Zeile*ZAbstand));

            Spalte=0;
            Zeile=4;
            g.drawString("maximaler Shortwert ist     : ", left+(Spalte*SAbstand), top+(Zeile*ZAbstand));
            g.drawString(""+maxShort, left+(Spalte+1*SAbstand), top+(Zeile*ZAbstand));
            
            Spalte=0;
            Zeile=5;
            g.drawString("minimaler Shortwert ist     : ", left+(Spalte*SAbstand), top+(Zeile*ZAbstand));
            g.drawString(""+minShort, left+(Spalte+1*SAbstand), top+(Zeile*ZAbstand));

         Spalte=0;
         Zeile=7;
         g.drawString("maximaler Integerwert ist      : ", left+(Spalte*SAbstand), top+(Zeile*ZAbstand));
         g.drawString(""+maxInt, left+(Spalte+1*SAbstand), top+(Zeile*ZAbstand));
         
         Spalte=0;
         Zeile=8;
         g.drawString("minimaler Integerwert ist      : ", left+(Spalte*SAbstand), top+(Zeile*ZAbstand));
         g.drawString(""+minInt, left+(Spalte+1*SAbstand), top+(Zeile*ZAbstand));

            Spalte=0;
            Zeile=10;
            g.drawString("maximaler Longwert ist      : ", left+(Spalte*SAbstand), top+(Zeile*ZAbstand));
            g.drawString(""+maxLong, left+(Spalte+1*SAbstand), top+(Zeile*ZAbstand));
             
            Spalte=0;
            Zeile=11;
            g.drawString("minimaler Longwert ist      : ", left+(Spalte*SAbstand), top+(Zeile*ZAbstand));
            g.drawString(""+minLong, left+(Spalte+1*SAbstand), top+(Zeile*ZAbstand));

         Spalte=0;
         Zeile=13;
         g.drawString("maximaler Floatwert ist     : ", left+(Spalte*SAbstand), top+(Zeile*ZAbstand));
         g.drawString(""+maxFloat, left+(Spalte+1*SAbstand), top+(Zeile*ZAbstand));
         
         Spalte=0;
         Zeile=14;
         g.drawString("minimaler Floatwert ist     : ", left+(Spalte*SAbstand), top+(Zeile*ZAbstand));
         g.drawString(""+minFloat, left+(Spalte+1*SAbstand), top+(Zeile*ZAbstand));

            Spalte=0;
            Zeile=16;
            g.drawString("maximaler Doublewert ist    : ", left+(Spalte*SAbstand), top+(Zeile*ZAbstand));
            g.drawString(""+maxDouble, left+(Spalte+1*SAbstand), top+(Zeile*ZAbstand));
            
            Spalte=0;
            Zeile=17;
            g.drawString("minimaler Doublewert ist    : ", left+(Spalte*SAbstand), top+(Zeile*ZAbstand));
            g.drawString(""+minDouble, left+(Spalte+1*SAbstand), top+(Zeile*ZAbstand));
    }
}
